Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class DeepCopyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.DeepCopyException

All Implemented Interfaces:
  Serializable

public class DeepCopyException
extends BaseException

Diese Exception wird ausgeloest, wenn beim kopieren eines Items ein Fehler auftritt. Der urspruenglich aufgetretene Fehler wird in der Exception auch gespeichert und kann ueber die Methode `BaseException.getOrigin()` abgefragt werden.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DeepCopyException(String message, Exception origin)` Erzeugt eine neue DeepCopyException mit dem uebergebenen Fehlertext.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeepCopyException

    public DeepCopyException(String message,
                             Exception origin)

  Erzeugt eine neue DeepCopyException mit dem uebergebenen Fehlertext. Die urspruenglich ausgeloeste Exception wird mit uebergeben. Der Level der Fehlermeldung wird auf `BaseException.LEVEL_ERROR` gesetzt.

Parameters:
  `message` - Die Meldung zur Exception.
  `origin` - Die urspruenglich aufgetretene Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD